<?php

namespace loyalsoft;

/**
 * Description of Ins_Weapon
 *
 * @author gwang
 */
class Ins_Weapon extends Object_ext {

//put your code here
    public $typeId;
    public $herouid;

    public function __construct($arg = null) {
        parent::__construct($arg);
    }

    /**
     * @return \sm_item_weapon item_weapon 武器的模板数据 
     */
    public function mo() {
        return GameConfig::item_weapon_getItem($this->typeId);
    }

}
